org.apache.felix.bundlerepository

## Interface Repository

All Known Implementing Classes:
  LocalRepositoryImpl, RepositoryImpl, SystemRepositoryImpl

    public interface Repository

Represents a repository.

Version:
  $Revision: 1.3 $

### Field Summary

Fields
`static java.lang.String` `LOCAL` URI identiying the local repository
`static java.lang.String` `SYSTEM` URI identifying the system repository

### Method Summary

Methods
`long` `getLastModified()` Return the last modification date of this repository
`java.lang.String` `getName()` Return the name of this repository.
`Resource[]` `getResources()` Return the resources for this repository.
`java.lang.String` `getURI()` Return the associated URL for the repository.

### Field Detail

#### SYSTEM

    static final java.lang.String SYSTEM

URI identifying the system repository

See Also:
  Constant Field Values

#### LOCAL

    static final java.lang.String LOCAL

URI identiying the local repository

See Also:
  Constant Field Values

### Method Detail

#### getURI

    java.lang.String getURI()

Return the associated URL for the repository.

#### getResources

    Resource[] getResources()

Return the resources for this repository.

#### getName

    java.lang.String getName()

Return the name of this repository.

Returns:
  a non-null name

#### getLastModified

    long getLastModified()

Return the last modification date of this repository

Returns:
  the last modification date